%global debug_package %{nil}
%global _binaries_in_noarch_packages_terminate_build 0

Name:         rpi-firmware
License:      BSD
Version:      20230405
Release:      1.0.2%{?dist}
Summary:      Firmware for Raspberry Pi
Group:        System Environment/Kernel
Obsoletes:    firmware-rpi-boot < 20211007-1.0.2
Source0:      https://github.com/raspberrypi/firmware/archive/1.%{version}.tar.gz#/firmware-1.%{version}.tar.gz
Source1:      config.txt
Source2:      vchiq-bcm2835.dts
Source3:      usb-bcm2835.dts
Source4:      pl011-bcm2835.dts
Source5:      disable-simplefb.dts

BuildRequires:  dtc
BuildArch:      noarch


%description
Firmware for Raspberry Pi

%prep
%setup -q -n firmware-1.%{version}

%build
# nothing -- this is pre-built binary stuff ...

%install
mkdir -p %{buildroot}/boot/efi/
(cd boot; cp -rav overlays/ %{buildroot}/boot/efi)
(cd boot; cp -av LICENCE.broadcom COPYING.linux bootcode.bin fixup*.dat start*.elf bcm2710*.dtb bcm2711*.dtb %{buildroot}/boot/efi)
cp -v %{SOURCE1} %{buildroot}/boot/efi
dtc -@ -I dts -O dtb -o %{buildroot}/boot/efi/overlays/$(basename --suffix=.dts %{SOURCE2}).dtbo %{SOURCE2}
dtc -@ -I dts -O dtb -o %{buildroot}/boot/efi/overlays/$(basename --suffix=.dts %{SOURCE3}).dtbo %{SOURCE3}
dtc -@ -I dts -O dtb -o %{buildroot}/boot/efi/overlays/$(basename --suffix=.dts %{SOURCE4}).dtbo %{SOURCE4}
dtc -@ -I dts -O dtb -o %{buildroot}/boot/efi/overlays/$(basename --suffix=.dts %{SOURCE5}).dtbo %{SOURCE5}


%files
/boot/efi/overlays/README
/boot/efi/overlays/*.dtbo
/boot/efi/overlays/overlay_map.dtb
/boot/efi/COPYING.linux
/boot/efi/LICENCE.broadcom
/boot/efi/bootcode.bin
/boot/efi/fixup*.dat
/boot/efi/start*.elf
/boot/efi/bcm2710*.dtb
/boot/efi/bcm2711*.dtb
%config(noreplace) /boot/efi/*.txt

%changelog
* Thu Nov 09 2023 Filip Zaludek <filip.zaludek@oracle.com> - 20230405-1.0.2
- Added [pi02] config section

* Wed May 17 2023 Filip Zaludek <filip.zaludek@oracle.com> - 20230405-1.0.1
- Firmware updated to 1.20230405
- Bundled and activated overlay to disable simple-framebuffer [OraBug 34055935]
- Support for CM4 [OraBug 34972929]

* Mon Sep 12 2022 Filip Zaludek <filip.zaludek@oracle.com> - 20220830-1.0.1
- Firmware updated to 1.20220830

* Sat Aug 27 2022 Filip Zaludek <filip.zaludek@oracle.com> - 20220811-1.0.1
- Firmware updated to 1.20220811

* Mon Apr 11 2022 Filip Zaludek <filip.zaludek@oracle.com> - 20220331-1.0.1
- Firmware updated to 1.20220331
- Removed overscan entries from config.txt

* Mon Mar 14 2022 Filip Zaludek <filip.zaludek@oracle.com> - 20220308-1.0.1
- Firmware updated to 1.20220308
- Fixed Source0 reference

* Thu Jan 27 2022 Filip Zaludek <filip.zaludek@oracle.com> - 20220120-1.0.1
- Firmware updated to 1.20220120

* Wed Nov 3 2021 Filip Zaludek <filip.zaludek@oracle.com> - 20211007-1.0.2
- Package released as noarch under rpi-firmware name

* Wed Oct 27 2021 Filip Zaludek <filip.zaludek@oracle.com> - 20211007-1.0.1
- Firmware updated to 1.20211007

* Thu Aug 12 2021 Filip Zaludek <filip.zaludek@oracle.com> - 20210805-1.0.1
- Firmware updated to 1.20210805
- Provided overlay pl011-bcm2835 for pl011 compatibility

* Thu Aug 5 2021 Filip Zaludek <filip.zaludek@oracle.com> - 20210527-1.0.3
- Provided overlay usb-bcm2835 for RPi3 usb compatibility
- Removed hdmi_force_hotplug=1 to enable HDMI2 on RPi4

* Fri Jul 9 2021 Filip Zaludek <filip.zaludek@oracle.com> - 20210527-1.0.2
- Bundled only bcm2710*.dtb and bcm2711*.dtb files
- Overlay vchiq-bcm2835 to re-enable vchiq sound support

* Thu Jun 3 2021 Filip Zaludek <filip.zaludek@oracle.com> - 20210527-1.0.1
- Firmware updated to 1.20210527
- Removed broadcom/ directory
- Bundled overlays/ directory
- Point to single u-boot rpiarm64 binary for RPi3 and RPi4 in config.txt

* Thu Apr 16 2020 David Sloboda <david.x.sloboda@oracle.com> - 20191129-1.0.4
- Fix Group tag. (request from Filip Zaludek)

* Fri Mar 20 2020 Vijay Kumar <vijay.ac.kumar@oracle.com> - 20191129-1.0.3
- Add firmware rpi3 dtb at /boot/efi/

* Wed Feb 12 2020 Vijay Kumar <vijay.ac.kumar@oracle.com> - 20191129-1.0.2
- Install bcm2711-rpi-4-b.dtb

* Tue Dec 3 2019 Vijay Kumar <vijay.ac.kumar@oracle.com> - 20191129-1.0.1
- Firmware for RPi 3 & 4
